GenericButtonController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.client
Interface GenericButtonController

All Known Implementing Classes:
  Form

public interface GenericButtonController

Title: OpenSwing Framework

Description: Interface called by Form/Grids components to check button disabilitation, according to some custom policy.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`boolean` | `isButtonDisabled(GenericButton button)` Method called by GenericButton.setEnabled method to check if the button must be disabled.

Method Detail

### isButtonDisabled

    public boolean isButtonDisabled(GenericButton button)

  Method called by GenericButton.setEnabled method to check if the button must be disabled.

  Parameters:
    `button` - button whose abilitation must be checked
  Returns:
    `true` if no policy is defined in the form/grid for the specified button, `false` if there exists a disabilitation policy for the specified button (through addButtonsNotEnabledOnState form/grid method)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD